AOZ Studio Beta - Bug #3

Restore VARIABLE reports a syntax error
01/17/2020 09:11 AM - Francois Lionet

Status: Closed Start date: 01/17/2020

Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%

Category: Estimated time: 0:00 hour

Target version: 0.9.3.2

Affected version: 0.9.25

Description

Related issues:

Related to AOZ Studio Beta - Bug #46: RESTORE causes internal error Closed 01/21/2020

History

#1 - 01/17/2020 09:12 AM - Francois Lionet

- Status changed from New to Resolved

#2 - 01/17/2020 09:29 AM - Baptiste Pillot
- Target version changed from 0.9.2.5 to 0.9.2.6

#3 - 01/17/2020 05:25 PM - Baptiste Pillot
- Affected version set to 0.9.2.5

#4 - 01/22/2020 09:04 PM - Baptiste Pillot

- Status changed from Resolved to Feedback

In order that | can test it, could you please write a little piece of code that would be a "unit test" for this error ?

Thanks.

#5 - 01/23/2020 03:10 PM - Brian Flanagan

This was a problem in previous versions. (I reported this in 0.9.2.4.)
This appears to be fixed in the newest version (0.9.3.1).

Example: (The results are as expected, even inside a procedure.)

Print "Main Program:"
P=2

Restore (P)

Read X,Y,Z

Print X,Y,Z

Print "In Procedure:"
Proc InsideProc
End

1 Data 1,2,3
2 Data 4,5,6
3 Data 7,8,9

Procedure InsideProc
Q=5

Restore (Q)
Read A,B,C
Print A,B,C

4 Data 0,1,2

5 Data 3,4,5
6 Data 7,8,9
End Proc

| also tried using just the variable name (without the parentheses). This also now works.

Example:

Restore P
Restore Q

#6 - 01/24/2020 10:14 AM - Francois Lionet
- Status changed from Feedback to Resolved

- Target version changed from 0.9.2.6 to 0.9.3.2

Should be fixed in 9.3.2

#7 - 02/01/2020 07:34 AM - Baptiste Pillot

e source : https://www.amos2.fr/ide/Amos2/Ide/Program/459
® run : https://www.amos2.fr/run/tickleman/3/

Confirmed. It works since 0.9.3.

#8 - 02/01/2020 07:34 AM - Baptiste Pillot

- Status changed from Resolved to Closed

#9 - 02/01/2020 08:06 AM - Baptiste Pillot
- Related to Bug #46: RESTORE causes internal error added
